Webhook Endpoint (Publisher)
POST
/webhook_endpointsCreate
Body — CreateWebhookEndpointDTO.
Request
Example
curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/webhook_endpoints/' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'X-Test-Mode: {{x_test_mode}}' \
-d '{
"url": "https://example.com/hooks",
"description": "",
"enabled_events": [
"*"
],
"provider": "",
"timestamp_tolerance_sec": 300
}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request. |
Body
| Name | Type | Value |
|---|---|---|
| url | string | https://example.com/hooks |
| description | string | |
| enabled_events | array | [1] |
| provider | string | |
| timestamp_tolerance_sec | number | 300 |
{
"url": "https://example.com/hooks",
"description": "",
"enabled_events": [
"*"
],
"provider": "",
"timestamp_tolerance_sec": 300
}Responses
400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}